#
# spec file for package fpm2
#
# Copyright (c) 2020 Packman Team <packman@links2linux.de>
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
# Copyright (c) 2011 Detlef Reichelt <detlef@links2linux.org>
# Copyright (c) 2008-2010 Toni "oc2pus" Graffy
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           fpm2
Version:        0.90
Release:        150500.1.pm.4
Summary:        Password manager with GTK3 GUI
License:        GPL-2.0-or-later
Group:          Productivity/Security
URL:            https://als.regnet.cz/fpm2/
Source:         https://als.regnet.cz/%{name}/download/%{name}-%{version}.tar.xz
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(nettle)

%description
Figaro's Password Manager 2 is a program that allows you to securely
store the passwords using GTK3 interface.

Features include:
* Passwords are encrypted with the blowfish algorithm.
* Copy passwords or usernames to the clipboard/primary selection.
* If the password is for a web site, FPM2 can keep track of the
  URLs of your login screens and can automatically launch your
  browser. In this capacity, FPM2 acts as a kind of bookmark
  manager.
* Combine all three features: you can configure FPM2 to bring you
  to a web login screen, copy your username to the clipboard and your
  password to the primary selection, all with a single button click.
* FPM2 also has a password generator that can choose passwords for
  you.It allows you to determine how long the password should be,
  and what types of characters (lower case, upper case, numbers
  and symbols) should be used.
  You can even have it avoid ambiguous characters such as a capital
  O or the number zero.

%lang_package

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install
%suse_update_desktop_file -i %{name} Utility Security
%find_lang %{name}

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_mandir}/man1/%{name}.1%{?ext_man}
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/logo.png
%{_datadir}/applications/%{name}.desktop

%files lang -f %{name}.lang

%changelog
* Sat Sep  5 2020 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.90
  * adapted for GTK3
  * new icon (thanks Wendell Fernandes)
  * added dependency on nettle library
  * added ciphers with authenticated encryption with associated
    data mode
  * added configurable PBKDF2 iterations, new default set at
    250000
  * added new option for replace entries when import plaintext
    XML
  * added configurable time for clear after paste
  * added Hebrew translation by Genghis Khan
  * added Polish translation by Robert
  * use AES-256 GCM as default cipher
  * use new file format
  * updated Basque translation by Ales Zabala Alava (Shagi)
  * fixed incorrectly saving columns order in ini file
  * fixed cursor in treeview after entry is renamed or category
    changed
  * fixed minimizing when tray icon is disabled
  * fixed stale lock when user run launcher and then quit FPM2
  * removed ability to read, import and convert old FPM data file
  * removed built-in AES-256 and PBKDF2 function
  * better clipboard handling
  * better file locking
  * Autotools update and cleanup
  * code and UI cleanup
- Switch to GTK3 build
- Spec cleanup
* Tue May 29 2012 pascal.bleser@opensuse.org
- removed the licenses hack, see
  https://bugs.links2linux.org/browse/PM-27
* Thu Mar 31 2011 detlef@links2linux.de
- update to 0.79
* Wed Mar  3 2010 toni@links2linux.de
- update to 0.78
- Fixed crash in master password dialog after open keyfile.
- Disable (gray out) toolbar button and menu entries which require
  a row to be selected.
- Use MD5 and SHA-256 from GLib.
* Wed Feb 24 2010 toni@links2linux.de
- update to 0.77
- User can now select columns in main view including their order.
- Added option for select action when user activate entry and option
  for open search dialog on startup.
- This version also fixed search in and DEFAULT and NONE category.
* Tue Nov 10 2009 toni@links2linux.de
- update to 0.76.1
- Fixed crash on startup when do not exists FPM2 data directory.
* Fri Nov  6 2009 toni@links2linux.de
- update to 0.76
- splitted off lang-subpackage
- FPM2 can be now minimized in tray on startup without master password input. More
  translations were added. Minor bugs were fixed.
* Mon Mar  2 2009 toni@links2linux.de
- update to 0.75
* Mon Jul  7 2008 toni@links2linux.de
- update to 0.72
* Wed Jun  4 2008 toni@links2linux.de
- initial release 0.71
